# cub3d

TODO:
	National Soviete Antheme Map
	Kirby themed Map
	Castle Vania Map
TODO:format this readme

Bonuses:
Done:
	1:wall collision
	2:floor texture
	3:ceil texture
	4:more items in maze
	5:object collision
	6:animation for gun
	7:Music
	8:sound effects
	9:rotate on camera
	10:Weapons
	11:(f12 screen shots inside the game) / (mouse click shots the gun)
	12: Life Bar
	13: HUD (instructions)
	14: shadows
    15: up / down
